Subject: [MMUSIC] BSD Sockets in draft-ietf-mmusic-ice-tcp-06

From: "Alfred E. Heggestad" <[email-masked]>
Date: Tue, 11 Mar 2008 21:42:29 +0100

Hi

I have some comments to the pseudocode in 
Appendix 1. Implementation Considerations for BSD Sockets

   for i in 0 to MAX
      sock_i = socket()
      set(sock_i, SO_REUSEADDR)
      bind(sock_i, local)

   listen(sock_0)
   connect(sock_1, stun)
   connect(sock_2, remote_a)
   connect(sock_3, remote_b)

This pseudocode is really helpful for implementing shared port
for TCP Socket/Connection.

I have tested this successfully on Linux 2.6 and FreeBSD 6.3, although
on FreeBSD I had to add the SO_REUSEPORT option. This should perhaps
be noted.

I did not manage to get it working on Solaris though, the second
bind() fails with "Address already in use". Did anyone else manage
to get this working on Solaris? I would be happy to hear from people
who have implemented this, and the status of it.

/alfred

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic